Bug 457020 - pppoe: Unshare skb before anything else [rhel-4.8]
pppoe: Unshare skb before anything else [rhel-4.8]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
:
Depends On: 457018
Blocks: 461304
  Show dependency treegraph
 
Reported: 2008-07-29 04:42 EDT by Eugene Teo (Security Response)
Modified: 2015-05-04 21:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-07-29 04:42:36 EDT
+++ This bug was initially created as a clone of Bug #457018 +++

Description of problem:
We need to unshare the skb first as otherwise pskb_may_pull may write to a
shared skb which could be bad.
Comment 2 RHEL Product and Program Management 2008-09-03 09:16:56 EDT
Updating PM score.
Comment 3 Vivek Goyal 2008-09-25 09:18:52 EDT
Committed in 78.11.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 6 errata-xmlrpc 2009-05-18 15:36:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.